org.codehaus.groovy.runtime.callsite

## Class CallSiteClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - org.codehaus.groovy.reflection.ClassLoaderForClassArtifacts
    - - org.codehaus.groovy.runtime.callsite.CallSiteClassLoader

    public class CallSiteClassLoader
    extends ClassLoaderForClassArtifacts

### Field Summary

### Fields inherited from class org.codehaus.groovy.reflection.ClassLoaderForClassArtifacts

`klazz`

### Constructor Summary

Constructors
Constructor and Description
`CallSiteClassLoader(java.lang.Class klazz)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.Class` `loadClass(java.lang.String name, boolean resolve)`

### Methods inherited from class org.codehaus.groovy.reflection.ClassLoaderForClassArtifacts

`createClassName, define, defineClassAndGetConstructor, loadClass`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CallSiteClassLoader

    public CallSiteClassLoader(java.lang.Class klazz)

### Method Detail

#### loadClass

    protected java.lang.Class loadClass(java.lang.String name,
                                        boolean resolve)
                                 throws java.lang.ClassNotFoundException

Overrides:
  `loadClass` in class `java.lang.ClassLoader`
Throws:
  `java.lang.ClassNotFoundException`